Subject: Re: [bug#30604] [PATCH v9 3/7] linux-initrd: Provide pure-Guile modprobe.

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 12 Mar 2018 18:51:55 +0100

Hi Ludo,

On Mon, 12 Mar 2018 15:45:29 +0100
[email-masked] (Ludovic Courtès) wrote:

> > Would make sense to also support "-a" (used when invoking modprobe to load multiple
> > kernel modules at once).  
> 
> I suppose we can do that later because the kernel doesn’t use it in
> ‘call_modprobe’ and this thing is only ever invoked by the kernel.

Sure.

I just wanted to comment because I noticed that kmod's

  modprobe a b c

doesn't load three modules a, b, c.  But my v9's pure-Guile modprobe was
implemented in a way that it did load three modules a, b, c - which it
definitely shouldn't be doing.